org.eclipse.swt.graphics

## Class Resource

- java.lang.Object
- - org.eclipse.swt.graphics.Resource

Direct Known Subclasses:
  Color, Cursor, Font, GC, Image, Path, Transform

    public abstract class Resource
    extends java.lang.Object

This class is the abstract superclass of all graphics resource objects. Resources created by the application are shared across all sessions of the application.

IMPORTANT: This class is intended to be subclassed only within the RWT implementation. However, it has not been marked final to allow those outside of the RWT development team to implement patched versions of the class in order to get around specific limitations in advance of when those limitations can be addressed by the team. Any class built using subclassing to access the internals of this class will likely fail to compile or run between releases and may be strongly platform specific. Subclassing should not be attempted without an intimate and detailed understanding of the workings of the hierarchy. No support is provided for user-written classes which are implemented as subclasses of this class.

Since:
  1.0

### Method Summary

Methods
`void` `dispose()` Disposes of the resource.
`Device` `getDevice()` Returns the `Device` where this resource was created.
`boolean` `isDisposed()` Returns `true` if the resource has been disposed, and `false` otherwise.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getDevice

    public Device getDevice()

Returns the `Device` where this resource was created.

Returns:
  `Device` the device of the receiver
Since:
  1.3

#### dispose

    public void dispose()

Disposes of the resource. Applications must dispose of all resources which they allocate. This method does nothing if the resource is already disposed.

Since:
  1.3

#### isDisposed

    public boolean isDisposed()

Returns `true` if the resource has been disposed, and `false` otherwise.

This method gets the dispose state for the resource. When a resource has been disposed, it is an error to invoke any other method (except `dispose()`) using the resource.

Returns:
  `true` when the resource is disposed and `false` otherwise
Since:
  1.3

Copyright (c) EclipseSource and others 2002, 2017. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0